snoopy 1.8.0-3 source package in Ubuntu

Changelog

snoopy (1.8.0-3) unstable; urgency=low

  * Merge back in changes from 1.3-15 that were dropped in the original
    package transition (closes: #639855)

snoopy (1.8.0-2) unstable; urgency=low

  * Correct debian/copyright to show that the upstream code is licensed
    GPL-2+, not just GPL-2 (thanks to Ansgar Burchardt for noticing).

snoopy (1.8.0-1) unstable; urgency=low

  * New maintainer.
  * New upstream version (closes: #629832).
    * Static log function patch moved into upstream code
    * -fPIC build patch moved into upstream code
    * rm -f on clean patch moved into upstream code
    * DESTDIR patch moved into upstream code
    * getlogin patch appears to be obsolete, removed
    * Upstream version 1.8.0 now supports filtering, but due to the
      potential for system lockup and a bug in the Makefile it is not
      enabled in this Debian revision pending closer examination.
  * Changed from CDBS to DH for debian/rules
  * Removed dependency on ld.so.preload-manager
  * Removed obsolete Linda override
  * Updated copyright file and converted it to DEP-5 format
  * Standards-Version: 3.9.2

snoopy (1.3-15) unstable; urgency=low

  * ACK NMU
  * New translation: tr (Turkish) by Mert Dirik. Closes: #489156
  * Add homepage field
  * Standards-Version: 3.8.0.0
  * Remove Linda Overrides
  * Lintian:
    * Override command-with-path-in-maintainer-script prerm:26
      /usr/sbin/ld.so.preload-manager warning - we need to be absolutely
      sure that the ld.so.preload-manager binary is the one that we expect,
      or we risk leaving a preload entry without the corresponding library.
      So we abort if we are not sure about this.
    * Temporarily Override snoopy: sharedobject-in-library-directory-
      missing-soname lib/snoopy.so - lintian is right, but this change
      cannot be in lenny. #502712.
    * Temporarily Override snoopy: description-contains-homepage
      The Homepage stanza is in the description on purpose, and will
      go away post-lenny. #502713.
  * Add -e to postinst and config

snoopy (1.3-14.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Finnish. Closes: #468354
    - Brazilian Portuguese. Closes: #473243
    - Russian. Closes: #488133
    - Galician. Closes: #488187
    - Romanian. Closes: #488705
    - Basque. Closes: #488797

snoopy (1.3-14) unstable; urgency=low

  * Update translation: sv (Swedish) by Daniel Nylander. Closes: #412535
  * Update translation. cs (Czech) by Martin ¦ín. Closes: #412694
  * Update translation: it (Italian) by Luca Bruno. Closes: #412696
  * Update translation: fr (French) by Michel Grentzinger. Closes: #412958
  * Update translation: nl (Dutch) by cobaco. Closes: #413233
  * Update translation: es (Spanish) by Javier Fernández-Sanguino.
    Closes: #413557
  * New translation: pt (Portuguese) by Miguel Figueiredo. Closes: #417919
  * prerm: just error out if ld.so.preload-manager is not installed
  * lintian:
    * add description to 50-409819-getlogin_r.dpatch
    * add proper copyright notice
    * Standards-Version: 3.7.3 (no changes necessary)

snoopy (1.3-13) unstable; urgency=low

  * Add patch from Glen Batchelor, Mike O'Connor and Steve Langasek
    which hopefully fixes getlogin_r issue on amd64. Closes: #409819
  * New translation: es (Spanish) by Javier Fernández-Sanguino.
    Closes: #403521
  * Fix debconf templates to better conform with the developer's
    reference, tentatively fix translations as well.
  * Standards-Version: 3.7.2 (no changes necessary)

snoopy (1.3-12) unstable; urgency=low

  * New translation: sv (Swedish) by Daniel Nylander. Closes: #331592

snoopy (1.3-11) unstable; urgency=low

  * fix Makefile patch to honor CFLAGS to fix m68k build.
  * build depend on cdbs 0.4.29 because of bug 300465.

snoopy (1.3-10) unstable; urgency=low

  * New translation: it (Italian) by Luca Bruno. Closes: #316912
  * New translation: vi (Vietnamese) by Clytie Siddall. Closes: #318602
  * changelog cosmetics, remove wrong "not yet released" entry from
    actually released version 1.3-9
  * disable DEB_AUTO_UPDATE_DEBIAN_CONTROL
  * replace hardcoded debconf dependency with ${misc:Depends} to stop
    being a cdebconf transition blocker.
  * Standards-Version: 3.6.2 (no changes necessary).

snoopy (1.3-9) unstable; urgency=low

  * convert to dpatch, debian/-only layout
  * source control now in svn
  * add linda override for missing shlibs entry
  * New translation. cs (Czech) by Martin ¦ín. Closes: #311701

snoopy (1.3-8) unstable; urgency=low

  * install japanese debconf templates supplied by Hideki Yamane.
    Closes: #260919.
  * use cdbs' automatic build depends creation

snoopy (1.3-7) unstable; urgency=low

  * ignore ld.so.preload-manager's return code in prerm. Closes: #250723.
  * Fix debian/copyright to explain the upstream 1.3 tar.gz on
    sourceforce with different md5sum.
  * have debian/watch point to heanet.

snoopy (1.3-6) unstable; urgency=low

  * add debian/watch.
  * add upstream URL to debian/control.
  * convert to cdbs
  * add lintian override against
    sharedobject-in-library-directory-not-actually-a-shlib lib/snoopy.so
  * add SNOOPYDEBUG variable to maintainer scripts
  * fix upstream Makefile to create installation dir (sourceforge
    ticket #950485)

snoopy (1.3-5) unstable; urgency=low

  * fix path bug in README.Debian (closes: #140290).
  * install dutch debconf templates supplied by cobaco (closes: #206326).
  * Standards-Version: 3.6.1

snoopy (1.3-4) unstable; urgency=low

  * convert to po-debconf by applying the patch supplied by Michel
    Grentzinger. Thanks for helping! (closes: #202424).
  * re-word german debconf templates.
  * install french debconf templates supplied by Michael Grentzinger.
    Thanks again. (closes: #202426).
  * Standards-Version: 3.6.0.
  * remove dh_make boilerplate upstream author.
  * remove unnecessary and b0rken /usr/doc symlink code from postinst.

snoopy (1.3-3) unstable; urgency=medium

  * Function "log" should be static - patch by Juan Cespedes
    (closes: #142322). This is a fix for a release critical bug, hence
    urgency=medium.

snoopy (1.3-2) unstable; urgency=low

  * Initial Release (closes: #83244).
  * Take prepared Package from Aubin Paul <email address hidden>.
  * bug fix: move library to /lib instead of /usr/lib
  * added debconf stuff allowing for automatic preload handling
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  12 Nov 2011 07:25:52 +0000

Upload details

Uploaded by:
Ubuntu Archive Auto-Sync on 2011-11-12
Uploaded to:
Precise
Original maintainer:
Zed Pobre
Architectures:
any
Section:
admin
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Precise release on 2011-11-12 universe admin

Downloads

File Size SHA-256 Checksum
snoopy_1.8.0.orig.tar.gz 15.8 KiB 9cf10c1c1730dd30679dadf67c94b4eef768aa21383805ea90f31b7285aafd4a
snoopy_1.8.0-3.debian.tar.gz 12.6 KiB 2c1a93e1c2742472e49722383dd918f82f72e8f3e6e62321f3ac5a13784691ff
snoopy_1.8.0-3.dsc 1.7 KiB d54858e2e28cf244aaf683515c02fb47d7a93372091c8742de6741834d333a0c

Available diffs

View changes file

Binary packages built by this source

snoopy: No summary available for snoopy in ubuntu quantal.

No description available for snoopy in ubuntu quantal.